%{?nodejs_find_provides_and_requires}


%global packagename json5
%global enable_tests 1
%global test_hash dcc83d63dbc5e94da0f5faf89e6d4fba4073a9d4

Name:		nodejs-json5
Version:	0.5.1
Release:	1%{?dist}
Summary:	JSON for the ES5 era

License:	MIT
URL:		https://github.com/aseemk/json5
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh
Source11:	https://github.com/json5/json5-tests/archive/%{test_hash}.zip


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
JSON for the ES5 era.


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package
cd test
rmdir parse-cases
cp %{SOURCE11} .
unzip %{test_hash}.zip
mv json5-tests-%{test_hash} parse-cases
cd ..
sed -i -e '1s/env //' lib/cli.js
chmod +x lib/cli.js


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha --ui exports --reporter spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Sat Aug 19 2017 Jared Smith <jsmith@fedoraproject.org> - 0.5.1-1
- Initial packaging
